## psychopy 1.82.02.dfsg

=== iohub_docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OpenPsycho.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OpenPsycho.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OpenPsycho"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OpenPsycho"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
psychopy (1.82.02.dfsg-1) unstable; urgency=medium

  * Fresh upstram bugfix release
  * debian/rules
    - make tests less verbose (removed -v, added -q)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Sep 2015 15:41:28 -0400

psychopy (1.82.01.dfsg-2) unstable; urgency=medium

  * debian/control
    - added configobj explicitly to depends, and xlib to recommends
      (used by iohub)
  * debian/patches/up_skip_wizard_hangingwx
    - to skip test on WX < 3.0 since leads to hanging

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 May 2015 12:13:49 -0400

=== debian/control ===
Source: psychopy
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7),
               python, python-setuptools,
               help2man, imagemagick,
               python-configobj,
               xvfb, xauth, libgl1-mesa-dri,
               python-pyglet, python-pygame, python-opengl,
               python-scipy, python-matplotlib, python-lxml,
               python-imaging, python-openpyxl, python-mock,
               python-wxgtk3.0 | python-wxgtk2.8,
               python-xlib,
               python-pyo,
               python-serial,
               python-psutil,
               python-gevent,
               python-msgpack,
               python-yaml,
               python-pytest,
               python-pandas,
Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://www.psychopy.org

Package: psychopy
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          python-pyglet | python-pygame,
          python-opengl,
          python-numpy, python-scipy, python-matplotlib,
          python-lxml,
          python-configobj
Recommends: python-wxgtk3.0,
            python-wxgtk2.8,
            python-pyglet, python-pygame,
            python-openpyxl,
            python-imaging,
            python-serial,
            python-pyo,
            python-psutil,
            python-gevent,
            python-msgpack,
            python-yaml,
            python-xlib,
            python-pandas,
            libavbin0,
            libxxf86vm1,
            ipython,
Conflicts: libavbin0 (= 7-4+b1)
Suggests: python-iolabs, python-pyxid
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: environment for creating psychology stimuli in Python
 PsychoPy provides an environment for creating psychology stimuli
 using Python scripting language.  It combines the graphical
 strengths of OpenGL with easy Python syntax to give psychophysics
 a free and simple stimulus presentation and control package.
 .
 The goal is to provide, for the busy scientist, tools to control
 timing and windowing and a simple set of pre-packaged stimuli and
 methods.  PsychoPy features
 .
  - IDE GUI for coding in a powerful scripting language (Python)
  - Builder GUI for rapid development of stimulation sequences
  - Use of hardware-accelerated graphics (OpenGL)
  - Integration with Spectrascan PR650 for easy monitor calibration
  - Simple routines for staircase and constant stimuli experimental
    methods as well as curve-fitting and bootstrapping
  - Simple (or complex) GUIs via wxPython
  - Easy interfaces to joysticks, mice, sound cards etc. via PyGame
  - Video playback (MPG, DivX, AVI, QuickTime, etc.) as stimuli

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# We will disallow to fail on unstable/sid, but let them pass otherwise
# TODO:  return back exit 1 upon failures
failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\)' && echo ":" || echo ":")

PYVER = $(shell pyversions -vd)

export DEBPYTHON_SUPPORTED=$(PYVER)
export HOME=$(CURDIR)/build
DEB_DESTDIR=$(CURDIR)/debian/psychopy

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: Running tests using default Python"
	cd build \
		&& USER=nobody TRAVIS=true \
		xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
		python ../psychopy/tests/runPytest.py -q -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
endif
## Fix up permissions on images -- pushed upstream, but left here
## just to make sure everything is ok
	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg | \
		xargs -r chmod a-x
## # Correct interpreter lines
## was pushed upstream, but snippet is left in for possible uses
## 	find $(DEB_DESTDIR) -name \*.py \
##     | xargs -r sed -i -e '1 s,^#!.*python.*,#!/usr/bin/env python,g'

## convert and install icon's .xpm manually
	convert psychopy/app/Resources/psychopy.png -geometry 32x32 \
      $(DEB_DESTDIR)/usr/share/pixmaps/psychopy.xpm
## Rename upstream's runner
	mv $(DEB_DESTDIR)/usr/bin/psychopyApp.py $(DEB_DESTDIR)/usr/bin/psychopy

debian/psychopy.1: debian/psychopy.sh
	chmod +x $^
	PYTHONPATH=. help2man -N -n "Creating psychology stimuli in Python" $^ > $@
## cleanup
	rm -f psychopy/__init__.pyc

override_dh_link:
	dh_link -ppsychopy /usr/lib/python$(PYVER)/dist-packages/psychopy/demos usr/share/doc/psychopy/examples
	dh_link

override_dh_installman:  debian/psychopy.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs psychopy/CHANGELOG.txt


# Make tree dfsg-compliant
OREMOTE=
dfsg: dfsg-master
dfsgrelease-%: override OREMOTE=origin/release-
dfsgrelease-%: dfsg-%
	@echo "finished dfsgrelease-$*" # some command is necessary for poor make
dfsg-%:
	@git checkout dfsg
	branch=$(OREMOTE)$*; \
	descr=`git describe $$branch | sed -e 's,-,+git,'`; \
	dfsgtag=$${descr}.dfsg; \
	echo "Merging $${branch} into DFSG and cleaning"; \
	git merge --no-commit -X theirs $$branch || :; \
	git rm -f --ignore-unmatch PsychoPyBuilder/*bak \
	  psychopy/demos/*.ttf psychopy/demos/*.mpg \
	  psychopy/ext/*bits*.* \
	  docs/source/resources/*zip \
	  buildExeInstaller.nsi buildWinDistributions.bat \
	  googlecode_upload.py; \
	git rm -rf --ignore-unmatch iohub_docs psychopy/serial windlls; \
	find -type d -iname win32 -print0 | xargs -0 git rm -rf --ignore-unmatch; \
	diffstat="`git diff --cached $${branch} --stat`"; \
	echo -e "Merge $$branch ($$descr) into DFSG\n\n$$diffstat" | \
		git commit -F- -a && git tag -s -m "Autotagging DFSG version of $$descr" $$dfsgtag && \
	echo -e "Differences between dfsg and $${branch}:\n$$diffstat"; \
	git checkout debian && git merge $${dfsgtag} \
	&& dch -v "$${dfsgtag}-1" "New upstream release"

test::
	LC_ALL=C.UTF-8 PYTHONPATH=$PWD xvfb-run -s "-screen 0 1280x1024x24 -noreset" nosetests -s -v psychopy/tests 2>&1

override_dh_clean::
	rm -f debian/psychopy.1
	rm -rf build dist PsychoPy.egg-info
	dh_clean

# do not actually install demos -- just symlink to them
#DEB_INSTALL_EXAMPLES_psychopy := psychopy/demos/*

=== debian/watch ===
version=3
opts="versionmangle=s/-//,dversionmangle=s/.dfsg$//" \
  http://code.google.com/p/psychopy/downloads/list \
  http://psychopy\.googlecode\.com/files/PsychoPy-([\d\.]*)\.zip

## psychopy 1.83.04.dfsg

=== debian/changelog ===
psychopy (1.83.04.dfsg-2) unstable; urgency=medium

  * CPed changeset_46fe7ee7a8526a927819e961fbb4404110a87293.diff to overcome
    syntax error during installation.  Thanks Christopher J Markiewicz for the
    report!

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 19 Feb 2016 13:06:09 -0500

psychopy (1.83.04.dfsg-1) unstable; urgency=medium

  * Fresh upstream bugfix (on top of minor not packaged) release
  * debian/patches -- refreshed
  * debian/psychopy.desktop - full path to pixmap (Closes: #693477)
    Thanks Kevin Mitchell
  * debian/watch - adjusted to use github location
  * debian/control
    - python-opencv to Build-Depends and Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 12 Feb 2016 08:39:20 -0500

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python-wxgtk3.0 | python-wxgtk2.8,
                python-xlib,
                python-pyo,
+               python-opencv,
                python-serial,
                python-psutil,
                python-gevent,
@@ -39,6 +40,7 @@
             python-wxgtk2.8,
             python-pyglet, python-pygame,
             python-openpyxl,
+            python-opencv,
             python-imaging,
             python-serial,
             python-pyo,
@@ -48,11 +50,10 @@
             python-yaml,
             python-xlib,
             python-pandas,
-            libavbin0,
             libxxf86vm1,
             ipython,
 Conflicts: libavbin0 (= 7-4+b1)
-Suggests: python-iolabs, python-pyxid
+Suggests: python-iolabs, python-pyxid, libavbin0,
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: environment for creating psychology stimuli in Python

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	cd build \
 		&& USER=nobody TRAVIS=true \
 		xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
-		python ../psychopy/tests/runPytest.py -q -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
+		python ../psychopy/tests/runPytest.py --tb=line -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
 endif
 ## Fix up permissions on images -- pushed upstream, but left here
 ## just to make sure everything is ok

## psychopy 1.85.3.dfsg

=== requirements.txt ===

requests
numpy
scipy
matplotlib
pandas
pyglet
pillow
openpyxl
configobj
#for iohub
pyyaml
gevent
msgpack-python
psutil
tables
python-bidi
cffi

# for developers
pytest 
sphinx 
cython

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
psychopy (1.85.3.dfsg-1build1) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 13:05:26 +0100

psychopy (1.85.3.dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Oct 2017 00:00:02 -0400

psychopy (1.85.2.dfsg-1) unstable; urgency=medium

  * New upstream release
    - for now disabling JS (psychojs) support
  * debian/rules
    - run tests using py.test directly
  * debian/rules
    - python-requests to b-depends and recommends
    - wrap running help2man under xvfb as well
  * debian/control
    - added python-future to *Depends since pyglet needs it (I guess misses
      some Depends as well)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Oct 2017 22:32:19 -0400

psychopy (1.85.00.dfsg-1) UNRELEASED; urgency=medium

  * use .png for the psychopy icon within .desktop file
  * debian/patches
    - dropped all changesets picked up from upstream
    - dropped wx patch -- by now upstream is probably supporting it
      better than we would with that patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Mar 2017 19:00:05 -0500

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python-wxgtk3.0 | python-wxgtk2.8,
                python-xlib,
                python-pyo,
+               python-requests,
                python-opencv,
                python-serial,
                python-psutil,
@@ -22,6 +23,7 @@
                python-yaml,
                python-pytest,
                python-pandas,
+               python-future,
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/psychopy.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychopy.git
 Standards-Version: 3.9.6
@@ -45,6 +47,7 @@
             python-serial,
             python-pyo,
             python-psutil,
+            python-requests,
             python-gevent,
             python-msgpack,
             python-yaml,
@@ -52,6 +55,7 @@
             python-pandas,
             libxxf86vm1,
             ipython,
+            python-future,
 Conflicts: libavbin0 (= 7-4+b1)
 Suggests: python-iolabs, python-pyxid, libavbin0,
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 export DEBPYTHON_SUPPORTED=$(PYVER)
 export HOME=$(CURDIR)/build
 DEB_DESTDIR=$(CURDIR)/debian/psychopy
+XVFB_RUN=xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset"
 
 %:
 	dh $@ --with python2 --buildsystem python_distutils
@@ -20,8 +21,7 @@
 	echo "I: Running tests using default Python"
 	cd build \
 		&& USER=nobody TRAVIS=true \
-		xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
-		python ../psychopy/tests/runPytest.py --tb=line -s -m "not needs_sound" || { echo "TESTS FAILED"; $(failed_tests_cmd); }
+		$(XVFB_RUN) python -m pytest --tb=line -s -m "not needs_sound" ../psychopy || { echo "TESTS FAILED"; $(failed_tests_cmd); }
 endif
 ## Fix up permissions on images -- pushed upstream, but left here
 ## just to make sure everything is ok
@@ -40,7 +40,7 @@
 
 debian/psychopy.1: debian/psychopy.sh
 	chmod +x $^
-	PYTHONPATH=. help2man -N -n "Creating psychology stimuli in Python" $^ > $@
+	PYTHONPATH=. $(XVFB_RUN) help2man -N -n "Creating psychology stimuli in Python" $^ > $@
 ## cleanup
 	rm -f psychopy/__init__.pyc

=== debian/watch ===
version=3
# used only to monitor for new releases -- all stripping to .dfsg
# happens within Git VCS
opts="versionmangle=s/-//,dversionmangle=s/.dfsg$//" \
  https://github.com/psychopy/psychopy/releases \
  .*archive/([\d\.]*)\.tar\.gz

## psychopy 2020.1.3%2Bdfsg

=== debian/changelog ===
psychopy (2020.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not ship /usr/lib/python3/dist-packages/packaging
    Closes: #953846
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Mar 2020 09:25:36 +0100

psychopy (2020.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Depends: s/ipython/ipython3/
    Closes: #937330
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Mar 2020 16:00:45 +0100

psychopy (2020.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Moved package to Debian Med team
  * New upstream version
    Closes: #909559, #878930
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.1
  * Do not manually unpack upstream source but use Files-Excluded instead
  * Remove old debian menu file and old style debian/py* files
  * Switch to Python3
    Closes: #937330, #912497, #866455
  * Build-Depends / Recommends: python3-questplus, python3-distro
  * Standards-Version: 4.5.0 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Do not parse d/changelog (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove patch wxpython3.0.patch that is missing from
    debian/patches/series.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove deprecated Encoding key from desktop file
    debian/psychopy.desktop.
  * Fix link to examples
  * Drop automatically generated sphinx files from upstream source

 -- Andreas Tille <tille@debian.org>  Mon, 24 Feb 2020 08:56:57 +0100

psychopy (1.90.2.dfsg-1) unstable; urgency=medium

  * Fresh upstream release (Closes: #878930)
  * debian/control
    - replace python-imaging with python-pil (Closes: #866455)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 May 2018 09:19:15 -0400

psychopy (1.90.1.dfsg-1) UNRELEASED; urgency=medium

  * Fresh upstream release
  * debian/rules
    - export http*_proxy dummy variables to avoid network

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Apr 2018 00:24:58 -0400

psychopy (1.85.4.dfsg-1) UNRELEASED; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Oct 2017 21:16:25 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# We will disallow to fail on unstable/sid/UNRELEASED, but let them pass otherwise
# TODO:  return back exit 1 upon failures
include /usr/share/dpkg/default.mk
failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\|UNRELEASED\)' && echo ":" || echo ":")

PYVER = $(shell py3versions -vd)

export DEBPYTHON_SUPPORTED=$(PYVER)
export HOME=$(CURDIR)/build
DEB_DESTDIR=$(CURDIR)/debian/psychopy
XVFB_RUN=xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset"

# Avoid any network interactions
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/


%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: The test suite is not compatible with pytest > 4.0"
	echo "   See https://discourse.psychopy.org/t/how-to-run-unit-tests/7315/7"
	find . -name psychopy -type f -executable
	USER=nobody TRAVIS=true \
		$(XVFB_RUN) python3 -m pytest --tb=line -s -v -m "not needs_sound" ../psychopy || { echo "TESTS FAILED"; $(failed_tests_cmd); }
	# nosetest does not change anything
	# LC_ALL=C.UTF-8 PYTHONPATH=$PWD xvfb-run -s "-screen 0 1280x1024x24 -noreset" nosetests -s -v psychopy/tests 2>&1
endif

override_dh_auto_install:
	dh_auto_install
## Fix up permissions on images -- pushed upstream, but left here
## just to make sure everything is ok
	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg | \
		xargs -r chmod a-x
	find debian -name packaging -type d | xargs rm -rf

## convert and install icon's .xpm manually
	convert psychopy/app/Resources/psychopy.png -geometry 32x32 \
      $(DEB_DESTDIR)/usr/share/pixmaps/psychopy.xpm
## Rename upstream's runner FIXME: runner ended up in /usr/lib
	# mv $(DEB_DESTDIR)/usr/bin/psychopyApp.py $(DEB_DESTDIR)/usr/bin/psychopy

debian/psychopy.1: debian/psychopy.sh
	PYTHONPATH=. $(XVFB_RUN) help2man -N -n "Creating psychology stimuli in Python" $^ > $@
## cleanup
	find debian -name __pycache__ -type d | xargs rm -rf

override_dh_link:
	dh_link -ppsychopy /usr/lib/python3/dist-packages/psychopy/demos usr/share/doc/psychopy/examples
	dh_link

override_dh_installman:  debian/psychopy.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs psychopy/CHANGELOG.txt

override_dh_clean::
	rm -f debian/psychopy.1
	rm -rf build dist PsychoPy.egg-info
	dh_clean

# do not actually install demos -- just symlink to them
#DEB_INSTALL_EXAMPLES_psychopy := psychopy/demos/*

## psychopy 2020.1.3+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	cp source/index.html $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -91,6 +92,7 @@
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
 latex:
+	export max_print_line=1000; export error_line=254; export error_line=238; 
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
@@ -98,6 +100,7 @@
 	      "(use \`make latexpdf' here to do that automatically)."
 
 latexpdf:
+	export max_print_line=1000; export error_line=254; export error_line=238; 
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	make -C $(BUILDDIR)/latex all-pdf

=== debian/control ===
Source: psychopy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools,
               help2man,
               imagemagick,
               python3-configobj,
               xvfb,
               xauth,
               libgl1-mesa-dri,
               python3-pyglet,
               python3-pygame,
               python3-opengl,
               python3-scipy,
               python3-matplotlib,
               python3-lxml,
               python3-pil,
               python3-openpyxl,
               python3-mock,
               python3-wxgtk4.0,
               python3-xlib,
               python3-pyo,
               python3-requests,
               python3-opencv,
               python3-serial,
               python3-psutil,
               python3-gevent,
               python3-msgpack,
               python3-yaml,
               python3-pytest,
               python3-json-tricks,
               python3-pandas,
               python3-zmq,
               python3-gitlab,
               python3-cryptography,
               python3-questplus,
               python3-distro
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/psychopy
Vcs-Git: https://salsa.debian.org/med-team/psychopy.git
Homepage: https://www.psychopy.org
Rules-Requires-Root: no

Package: psychopy
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-pyglet | python3-pygame,
         python3-opengl,
         python3-numpy,
         python3-scipy,
         python3-matplotlib,
         python3-lxml,
         python3-configobj
Recommends: python3-wxgtk4.0,
            python3-pyglet,
            python3-pygame,
            python3-openpyxl,
            python3-opencv,
            python3-pil,
            python3-serial,
            python3-pyo,
            python3-psutil,
            python3-requests,
            python3-gevent,
            python3-msgpack,
            python3-yaml,
            python3-xlib,
            python3-pandas,
            python3-questplus,
            python3-distro,
            libxxf86vm1,
            ipython3,
            python3-zmq,
            python3-json-tricks,
            python3-gitlab,
            python3-cryptography
Suggests: python3-iolabs,
          python3-pyxid,
          libavbin0
Conflicts: libavbin0 (= 7-4+b1)
Provides: ${python3:Provides}
Description: environment for creating psychology stimuli in Python
 PsychoPy provides an environment for creating psychology stimuli
 using Python scripting language.  It combines the graphical
 strengths of OpenGL with easy Python syntax to give psychophysics
 a free and simple stimulus presentation and control package.
 .
 The goal is to provide, for the busy scientist, tools to control
 timing and windowing and a simple set of pre-packaged stimuli and
 methods.  PsychoPy features
 .
  - IDE GUI for coding in a powerful scripting language (Python)
  - Builder GUI for rapid development of stimulation sequences
  - Use of hardware-accelerated graphics (OpenGL)
  - Integration with Spectrascan PR650 for easy monitor calibration
  - Simple routines for staircase and constant stimuli experimental
    methods as well as curve-fitting and bootstrapping
  - Simple (or complex) GUIs via wxPython
  - Easy interfaces to joysticks, mice, sound cards etc. via PyGame
  - Video playback (MPG, DivX, AVI, QuickTime, etc.) as stimuli

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/psychopy/psychopy/releases \
  .*archive/([\d\.]*)\.tar\.gz

## psychopy 2020.2.1+dfsg

=== debian/changelog ===
psychopy (2020.2.1+dfsg-1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 14 Sep 2020 13:21:04 -0400

psychopy (2020.2.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * pyxid was accepted to unstable

  [ Nilesh Patra ]
  * Add autopkgtests
  * Install relevant examples
  * Link to demos directory inside examples
  * Repack more files
  * New upstream version 2020.2.1+dfsg
  * Remove unused override

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 08 Aug 2020 20:44:45 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: psychopy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: science
@@ -49,7 +50,7 @@
 
 Package: psychopy
 Architecture: all
-Depends: ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-pyglet | python3-pygame,
@@ -81,9 +82,9 @@
             python3-zmq,
             python3-json-tricks,
             python3-gitlab,
+            python3-pyxid,
             python3-cryptography
 Suggests: python3-iolabs,
-          python3-pyxid,
           libavbin0
 Conflicts: libavbin0 (= 7-4+b1)
 Provides: ${python3:Provides}

## psychopy 2020.2.10+dfsg

=== requirements.txt ===
# main requirements are now defined in setup.py
# you can install them using:
#   pip install psychopy
# or:
#   pip install -r psychopy
# Optional additional dependencies are available:
#   pip install -r requirements_dev.txt
#   pip install -r requirements_suggested.txt

-e .

=== debian/changelog ===
psychopy (2020.2.10+dfsg-2) unstable; urgency=medium

  * Team upload
  * d/psychopy.maintscript: gracefully handle transition from symlink to
    regular directory of /usr/share/doc/psychopy/examples from Stretch through
    Buster to Bullseye.
    Closes: #988147

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Fri, 07 May 2021 20:57:53 +0200

psychopy (2020.2.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove outdated debian/blends
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jan 2021 12:15:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: psychopy
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
@@ -42,7 +41,7 @@
                python3-cryptography,
                python3-questplus,
                python3-distro
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/psychopy
 Vcs-Git: https://salsa.debian.org/med-team/psychopy.git
 Homepage: https://www.psychopy.org
@@ -50,7 +49,7 @@
 
 Package: psychopy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python3:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-pyglet | python3-pygame,

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	find debian -name __pycache__ -type d | xargs rm -rf
 
 override_dh_link:
-	dh_link -ppsychopy /usr/lib/python3/dist-packages/psychopy/demos usr/share/doc/psychopy/examples
+	dh_link -ppsychopy /usr/lib/python3/dist-packages/psychopy/demos usr/share/doc/psychopy/examples/demos
 	dh_link
 
 override_dh_installman:  debian/psychopy.1

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
Depends: @, xvfb, xauth, python3
Restrictions: allow-stderr

## psychopy 2022.1.1%2Bdfsg

=== docs/Makefile ===
--- 
+++ 
@@ -106,6 +106,11 @@
 	make -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
+rinoh:
+	@echo "Running LaTeX files through rinoh..."
+	$(SPHINXBUILD) -b rinoh $(ALLSPHINXOPTS) $(BUILDDIR)/rinoh
+	@echo "rinoh finished; the PDF files are in $(BUILDDIR)/rinoh"
+
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo

## psychopy 2022.1.1+dfsg

=== debian/changelog ===
psychopy (2022.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Depends: python3-astunparse
  * Fix permissions of images properly

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 21:20:43 +0100

psychopy (2021.2.3+dfsg-1) unstable; urgency=medium

  * d/watch: fix broken link to github
  * d/control: add myself to uploaders
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/control: remove references to unknown packages python3-iolab and
    libavbin0 in Suggests and Conflict fields; they are not part of any
    maintained distribution anymore apparently.
  * Do not parse d/changelog (routine-update)
  * No tab in license text (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Sep 2021 22:15:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: psychopy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -41,7 +42,7 @@
                python3-cryptography,
                python3-questplus,
                python3-distro
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/psychopy
 Vcs-Git: https://salsa.debian.org/med-team/psychopy.git
 Homepage: https://www.psychopy.org
@@ -82,10 +83,8 @@
             python3-json-tricks,
             python3-gitlab,
             python3-pyxid,
-            python3-cryptography
-Suggests: python3-iolabs,
-          libavbin0
-Conflicts: libavbin0 (= 7-4+b1)
+            python3-cryptography,
+            python3-astunparse
 Provides: ${python3:Provides}
 Description: environment for creating psychology stimuli in Python
  PsychoPy provides an environment for creating psychology stimuli

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # We will disallow to fail on unstable/sid/UNRELEASED, but let them pass otherwise
 # TODO:  return back exit 1 upon failures
+include /usr/share/dpkg/default.mk
 include /usr/share/dpkg/default.mk
 failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\|UNRELEASED\)' && echo ":" || echo ":")
 
@@ -36,8 +37,7 @@
 	dh_auto_install
 ## Fix up permissions on images -- pushed upstream, but left here
 ## just to make sure everything is ok
-	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg | \
-		xargs -r chmod a-x
+	find $(DEB_DESTDIR) -name \*.png -o -name \*.ico -o -name \*.jpg -executable -exec chmod -x \{\} \;
 	find debian -name packaging -type d | xargs rm -rf
 
 ## convert and install icon's .xpm manually

=== debian/watch ===
version=4

opts="\
repacksuffix=+dfsg,\
dversionmangle=auto,\
repack,\
compression=xz" \
  https://github.com/psychopy/psychopy/tags \
  .*archive/.*/([\d\.]*)\.tar\.gz

## psychopy 2022.1.3+dfsg

=== debian/changelog ===
psychopy (2022.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/rules: deduplicate default.mk inclusion.
  * d/control: mark test dependencies as <!nocheck>
  * d/control: depend on DejaVu and OpenSans fonts.
  * d/psychopy.links: use Debian provided fonts instead of embedded ones.
  * d/psychopy.desktop: add Comment= field.
  * d/rules: minor fix to the psychopy(1) manual page title.
  * d/copyright: review and adjustments.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 May 2022 19:02:14 +0200

=== debian/control ===
--- 
+++ 
@@ -15,32 +15,32 @@
                xvfb,
                xauth,
                libgl1-mesa-dri,
-               python3-pyglet,
-               python3-pygame,
-               python3-opengl,
-               python3-scipy,
-               python3-matplotlib,
-               python3-lxml,
-               python3-pil,
-               python3-openpyxl,
-               python3-mock,
-               python3-wxgtk4.0,
-               python3-xlib,
-               python3-pyo,
-               python3-requests,
-               python3-opencv,
-               python3-serial,
-               python3-psutil,
-               python3-gevent,
-               python3-msgpack,
-               python3-yaml,
-               python3-pytest,
-               python3-json-tricks,
-               python3-pandas,
-               python3-zmq,
-               python3-gitlab,
-               python3-cryptography,
-               python3-questplus,
+               python3-pyglet <!nocheck>,
+               python3-pygame <!nocheck>,
+               python3-opengl <!nocheck>,
+               python3-scipy <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-lxml <!nocheck>,
+               python3-pil <!nocheck>,
+               python3-openpyxl <!nocheck>,
+               python3-mock <!nocheck>,
+               python3-wxgtk4.0 <!nocheck>,
+               python3-xlib <!nocheck>,
+               python3-pyo <!nocheck>,
+               python3-requests <!nocheck>,
+               python3-opencv <!nocheck>,
+               python3-serial <!nocheck>,
+               python3-psutil <!nocheck>,
+               python3-gevent <!nocheck>,
+               python3-msgpack <!nocheck>,
+               python3-yaml <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-json-tricks <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-zmq <!nocheck>,
+               python3-gitlab <!nocheck>,
+               python3-cryptography <!nocheck>,
+               python3-questplus <!nocheck>,
                python3-distro
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/psychopy
@@ -59,7 +59,9 @@
          python3-scipy,
          python3-matplotlib,
          python3-lxml,
-         python3-configobj
+         python3-configobj,
+         fonts-dejavu-core,
+         fonts-open-sans
 Recommends: python3-wxgtk4.0,
             python3-pyglet,
             python3-pygame,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 # We will disallow to fail on unstable/sid/UNRELEASED, but let them pass otherwise
 # TODO:  return back exit 1 upon failures
-include /usr/share/dpkg/default.mk
 include /usr/share/dpkg/default.mk
 failed_tests_cmd = $(shell dpkg-parsechangelog --count 1 --format rfc822 | awk '/^Distribution:/{print $$2;}' | grep -q -e '\(sid\|unstable\|UNRELEASED\)' && echo ":" || echo ":")
 
@@ -48,6 +47,7 @@
 
 debian/psychopy.1: debian/psychopy.sh
 	PYTHONPATH=. $(XVFB_RUN) help2man -N -n "Creating psychology stimuli in Python" $^ > $@
+	sed -i 's/^\.TH PSYCHOPY3, /.TH PSYCHOPY /' $@
 ## cleanup
 	find debian -name __pycache__ -type d | xargs rm -rf

## psychopy 2023.2.4%2Bdfsg

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
Depends: @, xvfb, xauth, python3, python3-wxgtk4.0, libx11-dev
Restrictions: allow-stderr
